View Issue Details

IDProjectCategoryView StatusLast Update
0001758unrealinstallingpublic2005-01-29 13:30
ReporterdvzionAssigned Tocodemastr 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86 (i686)OSSlackwareOS Version2.4.19
Product Version3.2 
Target VersionFixed in Version3.2.3 
Summary0001758: GUEST command doesn't work
Description3.2RC2Fix and 3.2 final cannot compile with GUEST included in config.h and no /guest command is available
Steps To Reproduceedit /src/config.src and add the line:
#define GUEST

save the file, go back to the unreal root dir and do a 'make'.
Additional InformationThe following error code appears:

s_user.c:1288:79: macro "RunHook" passed 5 arguments, but takes just 2
s_user.c: In function `m_nick':
s_user.c:1288: `RunHook' undeclared (first use in this function)
s_user.c:1288: (Each undeclared identifier is reported only once
s_user.c:1288: for each function it appears in.)
make[1]: *** [s_user.o] Error 1

Snip from the sources:

        /*
           ** Check against nick name collisions.
           **
           ** Put this 'if' here so that the nesting goes nicely on the screen :)
           ** We check against server name list before determining if the nickname
           ** is present in the nicklist (due to the way the below for loop is
           ** constructed). -avalon
         */
        /* I managed to fuck this up i guess --stskeeps */
        if ((acptr = find_server(nick, NULL)))
        {
                if (MyConnect(sptr))
                {
#ifdef GUEST
                        if (IsUnknown(sptr))
                        {
                                RunHook(HOOKTYPE_GUEST, cptr, sptr, parc, parv);
                                return 0;
                        }
#endif
TagsNo tags attached.
3rd party modulesnone

Activities

codemastr

2004-04-25 15:02

reporter   ~0005925

Ok, well you're right about the compile error, but that feature doesn't create a /guest. So of course that won't work.

dvzion

2004-04-25 15:31

reporter   ~0005926

I didn't (don't) know what #define GUEST should do exactly... I just assumed it was a command. I have found the GUEST mode or what's it name from one of AngerWolf modules (userauth to be precise).

From what I understand the GUEST directive enable the creation of GuestXXX nicks and in RC1 it was working.

Any ideas, suggestions?

codemastr

2004-05-04 13:24

reporter   ~0006041

Fixed in .3

dvzion

2004-12-18 17:27

reporter   ~0008649

Last edited: 2004-12-18 17:28

I just checked the official downloadable distribution v3.2.2 and the code from the CVS (stable branch). Both have the same compiling error when I enable

#define GUEST

inside the src/include/config.h

-------------------------------
gcc -I../include -I/home/projects/ircd/cvs/unreal-3.2.2/extras/regexp/include -pipe -g -O2 -funsigned-char -export-dynamic -c api-command.c
gcc -I../include -I/home/projects/ircd/cvs/unreal-3.2.2/extras/regexp/include -pipe -g -O2 -funsigned-char -export-dynamic -o ircd auth.o aln.o badwords.o channel.o cloak.o crule.o dbuf.o events.o fdlist.o hash.o help.o ircd.o ircsprintf.o list.o lusers.o match.o modules.o packet.o parse.o res.o res_init.o res_comp.o res_mkquery.o res_skipname.o s_auth.o s_bsd.o s_conf.o s_debug.o s_err.o s_extra.o s_kline.o s_misc.o s_numeric.o s_serv.o s_svs.o socket.o ssl.o s_user.o scache.o send.o support.o umodes.o version.o webtv.o whowas.o zip.o cidr.o random.o extcmodes.o extbans.o md5.o api-isupport.o api-command.o -lcrypt -lnsl -ldl -L../extras/regexp/lib -ltre
/usr/bin/ld: Dwarf Error: Invalid or unhandled FORM value: 14.
s_user.o: In function `m_nick':
/home/projects/ircd/cvs/unreal-3.2.2/src/s_user.c:1507: undefined reference to `m_guest'
collect2: ld returned 1 exit status
make[1]: *** [ircd] Error 1
make[1]: Leaving directory `/home/projects/ircd/cvs/unreal-3.2.2/src'
make: *** [build] Error 2
----------------------------

Code compiles without a flaw otherwise.

codemastr

2005-01-29 13:30

reporter   ~0008949

Fixed in .244

Issue History

Date Modified Username Field Change
2004-04-25 14:57 dvzion New Issue
2004-04-25 15:02 codemastr Note Added: 0005925
2004-04-25 15:31 dvzion Note Added: 0005926
2004-05-04 13:24 codemastr Status new => resolved
2004-05-04 13:24 codemastr Resolution open => fixed
2004-05-04 13:24 codemastr Assigned To => codemastr
2004-05-04 13:24 codemastr Note Added: 0006041
2004-12-18 17:27 dvzion 3rd party modules => none
2004-12-18 17:27 dvzion Status resolved => feedback
2004-12-18 17:27 dvzion Resolution fixed => reopened
2004-12-18 17:27 dvzion Note Added: 0008649
2004-12-18 17:28 dvzion Note Edited: 0008649
2005-01-29 13:30 codemastr Status feedback => resolved
2005-01-29 13:30 codemastr Fixed in Version => 3.2.3
2005-01-29 13:30 codemastr Resolution reopened => fixed
2005-01-29 13:30 codemastr Note Added: 0008949